Loading...
Searching...
No Matches
Vectored Referencing buffer
MessagePack C » Buffers
Collaboration diagram for Vectored Referencing buffer:

## Classes

struct | msgpack_vrefbuffer_inner_buffer
struct | msgpack_vrefbuffer

## Macros

#define | MSGPACK_VREFBUFFER_REF_SIZE 32
#define | MSGPACK_VREFBUFFER_CHUNK_SIZE 8192

## Typedefs

typedef struct msgpack_vrefbuffer_chunk | msgpack_vrefbuffer_chunk
typedef struct msgpack_vrefbuffer_inner_buffer | msgpack_vrefbuffer_inner_buffer
typedef struct msgpack_vrefbuffer | msgpack_vrefbuffer

## Functions

MSGPACK_DLLEXPORT bool | msgpack_vrefbuffer_init (msgpack_vrefbuffer *vbuf, size_t ref_size, size_t chunk_size)
MSGPACK_DLLEXPORT void | msgpack_vrefbuffer_destroy (msgpack_vrefbuffer *vbuf)
MSGPACK_DLLEXPORT int | msgpack_vrefbuffer_append_copy (msgpack_vrefbuffer *vbuf, const char *buf, size_t len)
MSGPACK_DLLEXPORT int | msgpack_vrefbuffer_append_ref (msgpack_vrefbuffer *vbuf, const char *buf, size_t len)
MSGPACK_DLLEXPORT int | msgpack_vrefbuffer_migrate (msgpack_vrefbuffer *vbuf, msgpack_vrefbuffer *to)
MSGPACK_DLLEXPORT void | msgpack_vrefbuffer_clear (msgpack_vrefbuffer *vref)

## Detailed Description

## Macro Definition Documentation

## MSGPACK_VREFBUFFER_CHUNK_SIZE

#define MSGPACK_VREFBUFFER_CHUNK_SIZE 8192

## MSGPACK_VREFBUFFER_REF_SIZE

#define MSGPACK_VREFBUFFER_REF_SIZE 32

## Typedef Documentation

## msgpack_vrefbuffer

typedef struct msgpack_vrefbuffer msgpack_vrefbuffer

## msgpack_vrefbuffer_chunk

typedef struct msgpack_vrefbuffer_chunk msgpack_vrefbuffer_chunk

## msgpack_vrefbuffer_inner_buffer

typedef struct msgpack_vrefbuffer_inner_buffer msgpack_vrefbuffer_inner_buffer

## Function Documentation

## msgpack_vrefbuffer_append_copy()

MSGPACK_DLLEXPORT int msgpack_vrefbuffer_append_copy | ( | msgpack_vrefbuffer * | vbuf,
|  | const char * | buf,
|  | size_t | len
| ) |  |

## msgpack_vrefbuffer_append_ref()

MSGPACK_DLLEXPORT int msgpack_vrefbuffer_append_ref | ( | msgpack_vrefbuffer * | vbuf,
|  | const char * | buf,
|  | size_t | len
| ) |  |

## msgpack_vrefbuffer_clear()

MSGPACK_DLLEXPORT void msgpack_vrefbuffer_clear | ( | msgpack_vrefbuffer * | vref | ) |

## msgpack_vrefbuffer_destroy()

MSGPACK_DLLEXPORT void msgpack_vrefbuffer_destroy | ( | msgpack_vrefbuffer * | vbuf | ) |

## msgpack_vrefbuffer_init()

MSGPACK_DLLEXPORT bool msgpack_vrefbuffer_init | ( | msgpack_vrefbuffer * | vbuf,
|  | size_t | ref_size,
|  | size_t | chunk_size
| ) |  |

## msgpack_vrefbuffer_migrate()

MSGPACK_DLLEXPORT int msgpack_vrefbuffer_migrate | ( | msgpack_vrefbuffer * | vbuf,
|  | msgpack_vrefbuffer * | to
| ) |  |